Subject: Re: [Mingw-w64-public] i686-w64-mingw32-gcc & ntifs.h
From: Kai Tietz <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sat, 20 Aug 2011 09:31:47 +0200
List-Id: <cygwin.cygwin.com>

2011/8/20 JonY <[email-masked]>:
> On 8/20/2011 02:39, Sam Steingold wrote:
>>> * Corinna Vinschen <[email-masked]> [2011-08-19 14:00:44 +0200]:
>>>
>>> On Aug 19 18:19, JonY wrote:
>>>> On 8/19/2011 07:37, Sam Steingold wrote:
>>>>>> * JonY <[email-masked]> [2011-08-19 06:39:03 +0800]:
>>>>>>
>>>>>> You are supposed to use -I to add the ddk path to gcc.
>>>>>
>>>>> how?
>>>>> I mean, -Iddk does not work because I do not have ddk directory in my
>>>>> build directory.
>>>>> how do I ask i686-w64-mingw32-gcc to print
>>>>> /usr/i686-w64-mingw32/sys-root/mingw/include/ ??
>>>>> thanks!
>>>>
>>>> Try i686-w64-mingw32-gcc -print-sysroot and append /mingw/include/ddk.
>>>
>>> Or just use -I=/mingw/include/ddk
>>
>> cool trick, thanks.
>> now I am still getting those zillions of errors like
>>
>> /usr/i686-w64-mingw32/sys-root/mingw/include/ddk/ntddk.h:2922:26: error: redeclaration of enumerator `WinRestrictedCodeSid'
>> /usr/i686-w64-mingw32/sys-root/mingw/include/winnt.h:2681:413: note: previous definition of `WinRestrictedCodeSid' was here
>>
>> what about those?
>>
>
> hi,
>
> afaik, you aren't supposed to use use winnt.h and ntddk code together,
> but I'm not sure this is accidental, I'll try to the devs and see if
> they have something.
>
> Kai, what do you think?

Yes,

winnt.h is platform header part.  For DDK you should use AFAIR ntdef.h
and/or wdm.h instead.

Regards,
Kai

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple